<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IEdmEnumeratorVersion5 Interface Members
See Also Properties Methods

Collapse All Expand All

EPDM.Interop.epdm Namespace : IEdmEnumeratorVersion5 Interface

The following tables list the members exposed by IEdmEnumeratorVersion5.

# Public Properties

| Name | Description
--- | --- | ---
| LabelCount | Gets the number of labels set on this file.
| RevisionCount | Gets the number of revisions of this file.
| VersionCount | Gets the number of versions of this file.

Top

# Public Methods

| Name | Description
--- | --- | ---
| CreateLabel | Sets a label on the latest version of this file.
| GetFileCopy | Retrieves a copy of a file with the specified version from the archive and deposits it in the specified folder.
| GetFirstLabelPosition | Starts an enumeration of the labels set on this file.
| GetFirstRevisionPosition | Starts an enumeration of the revisions set on this file.
| GetFirstVersionPosition | Starts an enumeration of the versions of this file.
| GetNextLabel | Gets the label at the next position of this enumeration.
| GetNextRevision | Gets the revision at the next position of this enumeration.
| GetNextVersion | Gets the version at the next position of this enumeration.
| GetVersion | Gets a version object with the specified version number.
| Rollback | Obsolete. Superseded by IEdmEnumeratorVersion6::Rollback2 .

Top

# See Also

####

IEdmEnumeratorVersion5 Interface
EPDM.Interop.epdm Namespace